> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# المطالبة بعنوان IP مخصص

> قم بالمطالبة بـ IP المخصص المُدار.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json POST /v1/public/accounts/{account_id}/dedicated-ips/claim
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/claim:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: المطالبة بعنوان IP مخصص
      description: قم بالمطالبة بـ IP المخصص المُدار.
      operationId: >-
        claim_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips_claim_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimDedicatedIpRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ClaimDedicatedIpRequest:
      description: طلب المطالبة بعنوان IP مخصص مدار.
      properties:
        option_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: معرف الخيار
      title: ClaimDedicatedIpRequest
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: رقم النظام المستقل للتخصيص
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: رمز البلد ISO للتخصيص
          title: رمز البلد
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني للإنشاء
          title: تاريخ الإنشاء
        id:
          description: مخصص IP UUID
          format: uuid
          title: المعرّف
          type: string
        ip_addresses:
          description: العناوين العامة في هذا التخصيص
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: عناوين الآي بي
          type: array
        name:
          description: اسم IP مخصص مرئي للعميل
          title: الاسم
          type: string
        status:
          description: حالة التزويد أو دورة الحياة
          title: الحالة
          type: string
        type:
          description: نوع تخصيص IP مخصص
          title: النوع
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني للتحديث الأخير
          title: تاريخ التحديث
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    PublicDedicatedIpAddressResponse:
      description: بيانات تعريف عنوان IP العامة المخصصة بدون إشارات السمعة.
      properties:
        fcrdns_confirmed:
          default: false
          description: ما إذا كان قد تم تمرير DNS العكسي المؤكد للأمام
          title: تم تأكيد Fcrdns
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: الحالة الصحية الحالية عندما تكون متاحة
          title: سليم
        ip:
          description: عنوان IP العام
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: قم بعكس اسم المضيف DNS عند تكوينه
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````